StandardPartPositionBuilder Class

class NXOpen.Tooling.StandardPartPositionBuilder

Bases: NXOpen.Builder

Represents a StandardPartPositionBuilder to add or edit a standard part in the selected plane with specified position.

To create a new instance of this class, use NXOpen.Tooling.StandardPartPositionCollection.CreateStandardPartPositionBuilder()

Default values.

Property Value
AssociativePosition 1
DxIncrement 1.0
DyIncrement 1.0
OffsetPositionDx.Value 0.0 (millimeters part), 0.0 (inches part)
OffsetPositionDy.Value 0.0 (millimeters part), 0.0 (inches part)

New in version NX8.5.0.

Properties

Property Description
AssociativePosition Returns or sets the associative status between standardpart and the offset point.
DxIncrement Returns or sets the increment in X direction when a standard part is dragged.
DyIncrement Returns or sets the increment in Y direction when a standard part is dragged.
OffsetPositionDx Returns the dimension in X direction from reference point to offset point.
OffsetPositionDy Returns the dimension in Y direction from reference point to offset point.
ReferencePosition Returns or sets the reference point position.
Tag Returns the Tag for this object.

Methods

Method Description
Commit Commits any edits that have been applied to the builder.
Destroy Deletes the builder, and cleans up any objects created by the builder.
GetCommittedObjects For builders that create more than one object, this method returns the objects that are created by commit.
GetObject Returns the object currently being edited by this builder.
PlaneView Sets the view to the selected face plane or X-Y plane of WCS.
SetFaceCenter Sets the reference point to the selected face center.
SetOffsetPosition The offset point position.
ShowResults Updates the model to reflect the result of an edit to the model for all builders that support showing results.
Validate Validate whether the inputs to the component are sufficient for commit to be called.

Property Detail

AssociativePosition

StandardPartPositionBuilder.AssociativePosition

Returns or sets the associative status between standardpart and the offset point.

-------------------------------------

Getter Method

Signature AssociativePosition

Returns:
Return type:bool

New in version NX8.5.0.

License requirements: ug_mold_design (“UG MOLD”) OR nx_electrode_wizard (“NX Electrode Wizard”) OR prog_die_wizard (“UG/Progressive Die Wizard”)

-------------------------------------

Setter Method

Signature AssociativePosition

Parameters:associativePosition (bool) –

New in version NX8.5.0.

License requirements: ug_mold_design (“UG MOLD”) OR nx_electrode_wizard (“NX Electrode Wizard”) OR prog_die_wizard (“UG/Progressive Die Wizard”)

DxIncrement

StandardPartPositionBuilder.DxIncrement

Returns or sets the increment in X direction when a standard part is dragged.

-------------------------------------

Getter Method

Signature DxIncrement

Returns:
Return type:float

New in version NX8.5.0.

License requirements: ug_mold_design (“UG MOLD”) OR nx_electrode_wizard (“NX Electrode Wizard”) OR prog_die_wizard (“UG/Progressive Die Wizard”)

-------------------------------------

Setter Method

Signature DxIncrement

Parameters:dxIncrement (float) –

New in version NX8.5.0.

License requirements: ug_mold_design (“UG MOLD”) OR nx_electrode_wizard (“NX Electrode Wizard”) OR prog_die_wizard (“UG/Progressive Die Wizard”)

DyIncrement

StandardPartPositionBuilder.DyIncrement

Returns or sets the increment in Y direction when a standard part is dragged.

-------------------------------------

Getter Method

Signature DyIncrement

Returns:
Return type:float

New in version NX8.5.0.

License requirements: ug_mold_design (“UG MOLD”) OR nx_electrode_wizard (“NX Electrode Wizard”) OR prog_die_wizard (“UG/Progressive Die Wizard”)

-------------------------------------

Setter Method

Signature DyIncrement

Parameters:dyIncrement (float) –

New in version NX8.5.0.

License requirements: ug_mold_design (“UG MOLD”) OR nx_electrode_wizard (“NX Electrode Wizard”) OR prog_die_wizard (“UG/Progressive Die Wizard”)

OffsetPositionDx

StandardPartPositionBuilder.OffsetPositionDx

Returns the dimension in X direction from reference point to offset point.

-------------------------------------

Getter Method

Signature OffsetPositionDx

Returns:
Return type:NXOpen.Expression

New in version NX8.5.0.

License requirements: ug_mold_design (“UG MOLD”) OR nx_electrode_wizard (“NX Electrode Wizard”) OR prog_die_wizard (“UG/Progressive Die Wizard”)

OffsetPositionDy

StandardPartPositionBuilder.OffsetPositionDy

Returns the dimension in Y direction from reference point to offset point.

-------------------------------------

Getter Method

Signature OffsetPositionDy

Returns:
Return type:NXOpen.Expression

New in version NX8.5.0.

License requirements: ug_mold_design (“UG MOLD”) OR nx_electrode_wizard (“NX Electrode Wizard”) OR prog_die_wizard (“UG/Progressive Die Wizard”)

ReferencePosition

StandardPartPositionBuilder.ReferencePosition

Returns or sets the reference point position.

-------------------------------------

Getter Method

Signature ReferencePosition

Returns:
Return type:NXOpen.Point

New in version NX8.5.0.

License requirements: ug_mold_design (“UG MOLD”) OR nx_electrode_wizard (“NX Electrode Wizard”) OR prog_die_wizard (“UG/Progressive Die Wizard”)

-------------------------------------

Setter Method

Signature ReferencePosition

Parameters:refPos (NXOpen.Point) –

New in version NX8.5.0.

License requirements: ug_mold_design (“UG MOLD”) OR nx_electrode_wizard (“NX Electrode Wizard”) OR prog_die_wizard (“UG/Progressive Die Wizard”)

Method Detail

PlaneView

StandardPartPositionBuilder.PlaneView

Sets the view to the selected face plane or X-Y plane of WCS.

Signature PlaneView()

New in version NX8.5.0.

License requirements: ug_mold_design (“UG MOLD”) OR nx_electrode_wizard (“NX Electrode Wizard”) OR prog_die_wizard (“UG/Progressive Die Wizard”)

SetFaceCenter

StandardPartPositionBuilder.SetFaceCenter

Sets the reference point to the selected face center.

Signature SetFaceCenter()

New in version NX8.5.0.

License requirements: ug_mold_design (“UG MOLD”) OR nx_electrode_wizard (“NX Electrode Wizard”) OR prog_die_wizard (“UG/Progressive Die Wizard”)

SetOffsetPosition

StandardPartPositionBuilder.SetOffsetPosition

The offset point position.

Signature SetOffsetPosition(position)

Parameters:position (NXOpen.Point3d) –

New in version NX8.5.0.

License requirements: ug_mold_design (“UG MOLD”) OR nx_electrode_wizard (“NX Electrode Wizard”) OR prog_die_wizard (“UG/Progressive Die Wizard”)

Validate

StandardPartPositionBuilder.Validate

Validate whether the inputs to the component are sufficient for commit to be called.

If the component is not in a state to commit then an exception is thrown. For example, if the component requires you to set some property, this method will throw an exception if you haven’t set it. This method throws a not-yet-implemented NXException for some components.

Signature Validate()

Returns:Was self validation successful
Return type:bool

New in version NX3.0.1.

License requirements: None.